IXM enrollment settings¶
GET/
Mobile API · Static Setup Data
Get static setup data for IXM auto enrollments.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/mobile/v1/static-setup-data/ixm-auto-enrollment" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/mobile/v1/static-setup-data/ixm-auto-enrollment",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/mobile/v1/static-setup-data/ixm-auto-enrollment" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/mobile/v1/static-setup-data/ixm-auto-enrollment", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/mobile/v1/static-setup-data/ixm-auto-enrollment", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Static setup data for IXM auto enrollments.¶
Response fields
connectionCodestring (byte)requiredThe connection code for enrolling the IXM app.
tenantobjectrequiredTenant this resource belongs to.
Show child attributesHide child attributes
idstring (uuid)requirednamestringErrors¶
| Status | Meaning |
|---|---|
400 | Invalid request. |
401 | Unauthorized. |
403 | Forbidden. |
404 | Can't find configured setup data for IXM auto enrollments. |
429 | Too many requests. See Retry-After header. |
500 | Internal server error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"connectionCode": "eyJ0b2tlbiI6IjBCdzlaanFXRnVtS0xoSnBabTAzWHNpNlVIdkNpL WFCdXB4b0FxOWdmUVBSa3FMd1l0a3NFOFdsWHJmOHZjRHY5RjBWUE JrV3lwcUVPOHUzdEFOTERnIiwiY2hlY2tpblVyaSI6Imh0dHBzOi8 vc21jLWRldmljZS1pZi1jbG91ZHN0YXRpb24tdXMtd2VzdC0yLnBy b2QuaHlkcmEuc29waG9zLmNvbS9jbGllbnQtYXBpL2Vucm9sbC9hd XRvLWNvbmZpZ3VyZWQvaXhtL2Q0NmQ5ZGYxLWVlNWEtNDRjYy04Ym Y1LTI1MmZjYzNjMTZmMC9jaGVja2luIn0=",
"tenant": {
"id": "d46d9df1-ee5a-44cc-8bf5-252fcc3c16f0"
}
}
See the guide for a narrative walkthrough of this API.